package com.chelvc.cloud.vehicle.api.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class TeamDetailsDTO implements Serializable {

    private static final long serialVersionUID = -7589217012828810404L;

    /**
     * 用户标识
     */
    private Long userId;

    /**
     * 邀请用户
     */
    private Long inviteUserId;

    /**
     * 用户名称
     */
    private String name;

    /**
     * 总金额
     */
    private BigDecimal amount;

    /**
     * 来源类型：1-用户分佣；2-商户分佣
     */
    private Integer sourceType;
}
