package com.chelvc.cloud.vehicle.api.param;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;

/**
 * 帮助分类对象 help_category
 * 
 * @author liude
 * @date 2023-11-08
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
public class HelpCategoryModifyParam implements Serializable
{
    private static final long serialVersionUID = 1L;

    /**
     * 分类名称
     */
    private String name;

    /** 分类图标 */
    private String icon;

    /** 专题数量 */
    private Long helpCount;

    /** 展示状态 */
    private Long showStatus;

    /** 排序 */
    private Long sort;
}
