package com.chelvc.cloud.vehicle.api.param;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class QueryRankAwardRecordParam implements Serializable {

    private static final long serialVersionUID = -4915533238089390572L;
    /**
     * 类型：0-年；1-季；2-月；3-周；4-日 暂时默认传2
     */
    private Integer type = 2;
    /**
     * 平台类型：1-用户；2-商家  暂时默认传2
     */
    private Integer platformType = 2;
    /**
     * 周期
     */
    private Integer period;
}
