package com.chelvc.cloud.vehicle.server.service.impl;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.chelvc.cloud.vehicle.api.dto.CarouselImagesDTO;
import com.chelvc.cloud.vehicle.api.param.CarouselImagesModifyParam;
import com.chelvc.cloud.vehicle.api.param.CarouselImagesPagingParam;
import com.chelvc.cloud.vehicle.server.copier.CarouselImagesCopier;
import com.chelvc.cloud.vehicle.server.dao.CarouselImagesMapper;
import com.chelvc.cloud.vehicle.server.dao.CurrencyRecordMapper;
import com.chelvc.cloud.vehicle.server.entity.CarouselImages;
import com.chelvc.cloud.vehicle.server.entity.CurrencyRecord;
import com.chelvc.cloud.vehicle.server.service.CarouselImagesService;
import com.chelvc.cloud.vehicle.server.service.CurrencyRecordService;
import com.chelvc.framework.common.model.Pagination;
import com.chelvc.framework.common.util.AssertUtils;
import com.chelvc.framework.common.util.StringUtils;
import com.chelvc.framework.database.context.DatabaseContextHolder;
import lombok.NonNull;
import org.apache.dubbo.config.annotation.DubboService;

import java.util.List;
import java.util.Objects;

/**
 * 收益流水记录表操作接口
 *
 * @author liude
 * @date 2024/03/15
 */
@DubboService(interfaceClass = com.chelvc.cloud.vehicle.api.service.CurrencyRecordService.class)
public class CurrencyRecordServiceImpl extends ServiceImpl<CurrencyRecordMapper, CurrencyRecord> implements CurrencyRecordService,
        com.chelvc.cloud.vehicle.api.service.CurrencyRecordService {

 }
