package com.chelvc.cloud.vehicle.api.param;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class QueryProfitRatioConfigParam implements Serializable {

    private static final long serialVersionUID = -4915533571039390572L;
    /**
     * 类型：1-平台；2-邀请用户；3-邀请商家
     */
    private Integer type;
    /**
     * 状态：0-正常；1-停用
     */
    private Integer status;
}
