package com.chelvc.cloud.vehicle.api.service;

import com.chelvc.cloud.vehicle.api.dto.RankAwardConfigDTO;
import com.chelvc.cloud.vehicle.api.param.AddRankAwardConfigParams;
import com.chelvc.cloud.vehicle.api.param.EditRankAwardConfigParams;
import com.chelvc.cloud.vehicle.api.param.QueryRankAwardConfigParam;
import com.chelvc.framework.common.model.Pagination;

public interface RankAwardConfigService {

    void add(AddRankAwardConfigParams params);

    void edit(EditRankAwardConfigParams params);

    void delete(Long id, Long userId);

    Pagination<RankAwardConfigDTO> queryPageList(QueryRankAwardConfigParam param, Integer pageNum,
                                                 Integer pageSize);

}
