package com.chelvc.cloud.vehicle.server.copier;

import com.chelvc.cloud.vehicle.api.dto.AssessRecoverDto;
import com.chelvc.cloud.vehicle.api.param.AssessRecoverModifyParam;
import com.chelvc.cloud.vehicle.server.entity.AssessRecover;
import org.mapstruct.*;
import org.mapstruct.factory.Mappers;

import java.util.Collection;
import java.util.List;

/**
 * @author valley
 * @date 2024/02/03 19:08
 **/
@Mapper(builder = @Builder(disableBuilder = true))
public interface AssessRecoverCopier {
    AssessRecoverCopier INSTANCE = Mappers.getMapper(AssessRecoverCopier.class);


    AssessRecover copying(AssessRecoverModifyParam param);

    @Named("entity2dto")
    AssessRecoverDto copying(AssessRecover goodsAssess);


    @IterableMapping(qualifiedByName = "entity2dto")
    List<AssessRecoverDto> copying(Collection<AssessRecover> assessRecovers);

    void copying(AssessRecoverModifyParam param, @MappingTarget AssessRecover assessRecover);
}
